# Uses of Class
com.fasterxml.jackson.core.json.JsonWriteContext

Packages that use JsonWriteContext
Package
Description
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.

## Uses of JsonWriteContext in com.fasterxml.jackson.core.base

Fields in com.fasterxml.jackson.core.base declared as JsonWriteContext
Modifier and Type
Field
Description
`protected JsonWriteContext`
GeneratorBase.`_writeContext`
Object that keeps track of the current contextual state of the generator.
Constructors in com.fasterxml.jackson.core.base with parameters of type JsonWriteContext
Modifier
Constructor
Description
`protected`
`GeneratorBase(int features, ObjectCodec codec, IOContext ioContext, JsonWriteContext jsonWriteContext)`
`protected`
`GeneratorBase(int features, ObjectCodec codec, JsonWriteContext ctxt)`
Deprecated.

## Uses of JsonWriteContext in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as JsonWriteContext
Modifier and Type
Field
Description
`protected JsonWriteContext`
JsonWriteContext.`_child`
`protected final JsonWriteContext`
JsonWriteContext.`_parent`
Parent context for this context; null for root context.
Methods in com.fasterxml.jackson.core.json that return JsonWriteContext
Modifier and Type
Method
Description
`JsonWriteContext`
JsonWriteContext.`clearAndGetParent()`
Method that can be used to both clear the accumulated references (specifically value set with `setCurrentValue(Object)`) that should not be retained, and returns parent (as would `getParent()` do).
`JsonWriteContext`
JsonWriteContext.`createChildArrayContext()`
`JsonWriteContext`
JsonWriteContext.`createChildArrayContext(Object currValue)`
`JsonWriteContext`
JsonWriteContext.`createChildObjectContext()`
`JsonWriteContext`
JsonWriteContext.`createChildObjectContext(Object currValue)`
`static JsonWriteContext`
JsonWriteContext.`createRootContext()`
Deprecated.
Since 2.3; use method that takes argument
`static JsonWriteContext`
JsonWriteContext.`createRootContext(DupDetector dd)`
`final JsonWriteContext`
JsonWriteContext.`getParent()`
`JsonWriteContext`
JsonWriteContext.`reset(int type)`
Internal method to allow instance reuse: DO NOT USE unless you absolutely know what you are doing.
`JsonWriteContext`
JsonWriteContext.`reset(int type, Object currValue)`
Internal method to allow instance reuse: DO NOT USE unless you absolutely know what you are doing.
`JsonWriteContext`
JsonWriteContext.`withDupDetector(DupDetector dups)`
Constructors in com.fasterxml.jackson.core.json with parameters of type JsonWriteContext
Modifier
Constructor
Description
`protected`
`JsonWriteContext(int type, JsonWriteContext parent, DupDetector dups)`
`protected`
`JsonWriteContext(int type, JsonWriteContext parent, DupDetector dups, Object currValue)`